Impossibile aggiornare ADT plugin Eclipse alla versione 23.0.0 o superiore

? adamhala007 @ | Original: StackOverFlow
---

Io sono principiante in programmazione Android . Il mio problema è che non posso aggiornare ADT . Il problema è iniziato, quando dopo un lungo periodo di tempo che ho aggiornato a Android SDK Manager Il SDK Tools Android . Poi ho cercato di importare un progetto nello spazio di lavoro . Ma non potevo importare, perché ogni volta che fa clic sul pulsante Fine, non è successo niente . Poi ho chiuso Eclipse e aprii di nuovo, e mi ha mostrato il seguente errore :

Impossibile aggiornare ADT plugin Eclipse alla versione 23.0.0 o superiore

Ho cliccato sul Controlla aggiornamenti, ma non ho trovato nulla . Su internet ho trovato un URL ( https://dl-ssl.google.com/android/eclipse/ ), così ho cliccato Aiuto - > Install New Software ...-- > Aggiungi - > e incollato questo URL . Quando ho cliccato Avanti, mi ha mostrato l'elenco delle voci che ho voluto installare e anche un errore :

Cannot complete the install because of a conflicting dependency.
 Software being installed: Tracer for OpenGL ES 23.0.0.1245622 (com.android.ide.eclipse.gldebugger.feature.feature.group 23.0.0.1245622)
 Software currently installed: Tracer for OpenGL ES 21.0.0.v201210310015-519525 (com.android.ide.eclipse.gldebugger.feature.group 21.0.0.v201210310015-519525)
Only one of the following can be installed at once: 
Tracer for OpenGL ES 23.0.0.1245622 (com.android.ide.eclipse.gldebugger 23.0.0.1245622)
Tracer for OpenGL ES 21.0.0.v201210310015-519525 (com.android.ide.eclipse.gldebugger 21.0.0.v201210310015-519525)
Cannot satisfy dependency:
From: Tracer for OpenGL ES 23.0.0.1245622 (com.android.ide.eclipse.gldebugger.feature.feature.group 23.0.0.1245622)
To: com.android.ide.eclipse.gldebugger [23.0.0.1245622]
Cannot satisfy dependency:
From: Tracer for OpenGL ES 21.0.0.v201210310015-519525 (com.android.ide.eclipse.gldebugger.feature.group 21.0.0.v201210310015-519525)
To: com.android.ide.eclipse.gldebugger [21.0.0.v201210310015-519525]

Ho anche letto da qualche parte, che avrei dovuto provare a sostituire la cartella plugins con i plugin aggiornati cartella così ho cercato di rinominare " plugins " cartella nella cartella Eclipse a " pluginsx " e incollato il nuovo che ho scaricato dal sito http : //developer.android.com/sdk/installing/installing-adt.html . Dopo questo non ho potuto aprire il Eclipse .

Questo sito ( http://stackoverflow.com/questions/24437564/update-eclipse-with-android-development-tools-23 ) è anche circa lo stesso problema come me, e non vi è una risposta che è accettata come soluzione della domanda . Così ho cercato anche di scaricare http://dl.google.com/android/android-sdk_r22.6.2-windows.zip, e copiare quelle 3 cose da cartelle che sono stati menzionati nel commento qui sotto, ma ho ancora lo stesso problema, nulla è cambiato .

Così ora non ho alcuna idea, come risolvere questo problema . Qualcuno mi può aiutare, per favore?

Grazie in anticipo.

---

Top 5 Risposta

1serifsadi @

Aiuto - > Install New Software - > Che cosa è già installato ?

Poi, selezionare " DDMS Android, Andoid Devlopment Strumenti, Android Hierarcy Viewer, Android Development Tools nativo, Android Traceview, Tracer per OpenGL ES " e fare clic su Disinstalla .

Dopo tutto questo passaggio, prova Aggiungi link ( https://dl-ssl.google.com/android/eclipse/ ) e il nome è ADT Plugin . Questo link otterrà l'ultima Plugin ADT . In questo modo si reinstalla il ADT .

2Stuart Siegler @

Nessuno di questi " aggiornamento" risponde solo ha lavorato per me .

La soluzione che ho usato è quello di disinstallare l' ADT ( dalla disinstallazione Android ADT )

Help > About Eclipse > Installation Details

Selezionare tutti i moduli di Android ( con il prefisso com.android.ide ... )

ed eliminarli ( Uninstall ... ) e ri- aggiungere le librerie dal

help > Install new software

Come elencato sopra ....

3androider @

L'unica soluzione che ha funzionato per me è stato quello di scaricare l'attuale pacchetto Eclipse ADT Android http://developer.android.com/sdk/index.html

Dopo il download, ho copiato il mio sdk corrente in una cartella come ... / sviluppo / sdk . Poi ho cancellato l'SDK fornito con questo nuovo Bundle .

Ho messo ADT Bundle in ... / sviluppo / ADT - fascio -.... Dopo l'avvio, è JAVE di informare la nuova posizione sdk in Window > Preferences > Android, così in SDK posizione si inserisce il nuovo percorso sdk . Nel mio caso : ... / sviluppo / sdk .

Naturalmente, si può mettere la cartella sdk all'interno della nuova cartella ADT Bundle, ma lo faccio in questo modo, perché io uso Android Studio pure, così ho puntare i due IDE per lo stesso SDK .

Dopo che il rivestimento questo ed essere sicuri che tutto funzioni ho cancellato la vecchia cartella ADT Bundle .

4ZakiMak @

Installazione di ADT è un problema importante specialmente durante l'aggiornamento . Inoltre a volte è solo un dolore per l'installazione ADT fornendo il link diretto . Spesso Eclipse stallo durante la visualizzazione di "requisiti calcolatrici e dipendenze" .

Ho trovato più semplice, a volte per disinstallare prima tutti i componenti 7 :

-Android DDMS -Andoid Tools Devlopment -Android Hierarcy Viewer -Android Strumenti di sviluppo Native Traceview -Android -Tracer Per OpenGL ES -Google App Strumenti motore per Android ( se installato )

Poi scaricare l'ultima ZIP / Archive da http://developer.android.com/sdk/installing/installing-adt.html

Installare l' archivio da Aiuto-> Installa nuovo Software- > Add- > Archivio  Selezionare la ZIP scaricato, fornire un nome per esso e seguire il processo di installazione standard .